Subject: Re: run pgindent on a regular basis / scripted manner

From: Andrew Dunstan <[email-masked]>
Date: Sun, 30 Apr 2023 08:57:39 -0400

On 2023-04-28 Fr 05:25, Alvaro Herrera wrote:
> On 2023-Feb-05, Andrew Dunstan wrote:
>
>> So here's a diff made from running perltidy v20221112 with the additional
>> setting --valign-exclusion-list=", = => || && if unless"
> I ran this experimentally with perltidy 20230309, and compared that with
> the --novalign behavior (not to propose the latter -- just to be aware
> of what else is vertical alignment doing.)

Thanks for looking.

>
> Based on the differences between both, I think we'll definitely want to
> include =~ and |= in this list, and I think we should discuss whether to
> also include "or" (for "do_stuff or die()" type of constructs) and "qw"
> (mainly used in 'use Foo qw(one two)' import lists).  All these have
> effects (albeit smaller than the list you gave) on our existing code.

I'm good with all of these I think

>
>
> If you change from an exclusion list to --novalign then you lose
> alignment of trailing # comments, which personally I find a loss, even
> though they're still a multi-line effect.  Another change would be that
> it ditches alignment of "{" but that only changes msvc/Install.pm, so I
> think we shouldn't worry; and then there's this one:
>
> -use PostgreSQL::Test::Utils          ();
> +use PostgreSQL::Test::Utils ();
>   use PostgreSQL::Test::BackgroundPsql ();
>
> which I think we could just change to qw() if we cared enough (but I bet
> we don't).

Yeah, me too.

>
>
> All in all, I think sticking to
> --valign-exclusion-list=", = => =~ |= || && if or qw unless"
> is a good deal.
>

wfm

cheers

andrew

--
Andrew Dunstan
EDB:https://www.enterprisedb.com